Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl.glu
Class GLU

    java.lang.Object
      org.lwjgl.opengl.glu.GLU

    public class GLU

extends java.lang.Object

GLU.java Created 23-dec-2003

Author:
  Erik Duijs

Field Summary
`static int` | `GLU_AUTO_LOAD_MATRIX` NURBS constants
`static int` | `GLU_BEGIN`
`static int` | `GLU_CCW`
`static int` | `GLU_CULLING`
`static int` | `GLU_CW`
`static int` | `GLU_DISPLAY_MODE`
`static int` | `GLU_DOMAIN_DISTANCE`
`static int` | `GLU_EDGE_FLAG`
`static int` | `GLU_END`
`static int` | `GLU_ERROR`
`static int` | `GLU_EXTENSIONS`
`static int` | `GLU_EXTERIOR`
`static boolean` | `GLU_FALSE`
`static int` | `GLU_FILL`
`static int` | `GLU_FLAT`
`static int` | `GLU_INCOMPATIBLE_GL_VERSION`
`static int` | `GLU_INSIDE`
`static int` | `GLU_INTERIOR`
`static int` | `GLU_INVALID_ENUM`
`static int` | `GLU_INVALID_VALUE`
`static int` | `GLU_LINE`
`static int` | `GLU_MAP1_TRIM_2`
`static int` | `GLU_MAP1_TRIM_3`
`static int` | `GLU_NONE`
`static int` | `GLU_NURBS_ERROR1`
`static int` | `GLU_NURBS_ERROR10`
`static int` | `GLU_NURBS_ERROR11`
`static int` | `GLU_NURBS_ERROR12`
`static int` | `GLU_NURBS_ERROR13`
`static int` | `GLU_NURBS_ERROR14`
`static int` | `GLU_NURBS_ERROR15`
`static int` | `GLU_NURBS_ERROR16`
`static int` | `GLU_NURBS_ERROR17`
`static int` | `GLU_NURBS_ERROR18`
`static int` | `GLU_NURBS_ERROR19`
`static int` | `GLU_NURBS_ERROR2`
`static int` | `GLU_NURBS_ERROR20`
`static int` | `GLU_NURBS_ERROR21`
`static int` | `GLU_NURBS_ERROR22`
`static int` | `GLU_NURBS_ERROR23`
`static int` | `GLU_NURBS_ERROR24`
`static int` | `GLU_NURBS_ERROR25`
`static int` | `GLU_NURBS_ERROR26`
`static int` | `GLU_NURBS_ERROR27`
`static int` | `GLU_NURBS_ERROR28`
`static int` | `GLU_NURBS_ERROR29`
`static int` | `GLU_NURBS_ERROR3`
`static int` | `GLU_NURBS_ERROR30`
`static int` | `GLU_NURBS_ERROR31`
`static int` | `GLU_NURBS_ERROR32`
`static int` | `GLU_NURBS_ERROR33`
`static int` | `GLU_NURBS_ERROR34`
`static int` | `GLU_NURBS_ERROR35`
`static int` | `GLU_NURBS_ERROR36`
`static int` | `GLU_NURBS_ERROR37`
`static int` | `GLU_NURBS_ERROR4`
`static int` | `GLU_NURBS_ERROR5`
`static int` | `GLU_NURBS_ERROR6`
`static int` | `GLU_NURBS_ERROR7`
`static int` | `GLU_NURBS_ERROR8`
`static int` | `GLU_NURBS_ERROR9`
`static int` | `GLU_OUT_OF_MEMORY`
`static int` | `GLU_OUTLINE_PATCH`
`static int` | `GLU_OUTLINE_POLYGON`
`static int` | `GLU_OUTSIDE`
`static int` | `GLU_PARAMETRIC_ERROR`
`static int` | `GLU_PARAMETRIC_TOLERANCE`
`static int` | `GLU_PATH_LENGTH`
`static int` | `GLU_POINT`
`static int` | `GLU_SAMPLING_METHOD`
`static int` | `GLU_SAMPLING_TOLERANCE`
`static int` | `GLU_SILHOUETTE`
`static int` | `GLU_SMOOTH` Quadric constants
`static int` | `GLU_TESS_BEGIN`
`static int` | `GLU_TESS_BEGIN_DATA`
`static int` | `GLU_TESS_BOUNDARY_ONLY`
`static int` | `GLU_TESS_COMBINE`
`static int` | `GLU_TESS_COMBINE_DATA`
`static int` | `GLU_TESS_COORD_TOO_LARGE`
`static int` | `GLU_TESS_EDGE_FLAG`
`static int` | `GLU_TESS_EDGE_FLAG_DATA`
`static int` | `GLU_TESS_END`
`static int` | `GLU_TESS_END_DATA`
`static int` | `GLU_TESS_ERROR`
`static int` | `GLU_TESS_ERROR_DATA`
`static int` | `GLU_TESS_ERROR1`
`static int` | `GLU_TESS_ERROR2`
`static int` | `GLU_TESS_ERROR3`
`static int` | `GLU_TESS_ERROR4`
`static int` | `GLU_TESS_ERROR5`
`static int` | `GLU_TESS_ERROR6`
`static int` | `GLU_TESS_ERROR7`
`static int` | `GLU_TESS_ERROR8`
`static int` | `GLU_TESS_MISSING_BEGIN_CONTOUR`
`static int` | `GLU_TESS_MISSING_BEGIN_POLYGON`
`static int` | `GLU_TESS_MISSING_END_CONTOUR`
`static int` | `GLU_TESS_MISSING_END_POLYGON`
`static int` | `GLU_TESS_NEED_COMBINE_CALLBACK`
`static int` | `GLU_TESS_TOLERANCE`
`static int` | `GLU_TESS_VERTEX`
`static int` | `GLU_TESS_VERTEX_DATA`
`static int` | `GLU_TESS_WINDING_ABS_GEQ_TWO`
`static int` | `GLU_TESS_WINDING_NEGATIVE`
`static int` | `GLU_TESS_WINDING_NONZERO`
`static int` | `GLU_TESS_WINDING_ODD`
`static int` | `GLU_TESS_WINDING_POSITIVE`
`static int` | `GLU_TESS_WINDING_RULE`
`static boolean` | `GLU_TRUE`
`static int` | `GLU_U_STEP`
`static int` | `GLU_UNKNOWN`
`static int` | `GLU_V_STEP`
`static int` | `GLU_VERSION`
`static int` | `GLU_VERTEX`
`static double` | `TESS_MAX_COORD` Tesselation constants

Constructor Summary
`GLU()`

Method Summary
`static int` | `gluBuild2DMipmaps(int target, int components, int width, int height, int format, int type, java.nio.ByteBuffer data)` Method gluBuild2DMipmaps
`static boolean` | `gluCheckExtension(java.lang.String extName, java.lang.String extString)` Method gluCheckExtension.
`static java.lang.String` | `gluErrorString(int error_code)`
`static java.lang.String` | `gluGetString(int name)` Method gluGetString.
`static void` | `gluLookAt(float eyex, float eyey, float eyez, float centerx, float centery, float centerz, float upx, float upy, float upz)` Method gluLookAt
`static void` | `gluOrtho2D(float left, float right, float bottom, float top)` Method gluOrtho2D
`static void` | `gluPerspective(float fovy, float aspect, float zNear, float zFar)` Method gluPerspective
`static void` | `gluPickMatrix(float x, float y, float width, float height, int[] viewport)` Method gluPickMatrix
`static boolean` | `gluProject(float objx, float objy, float objz, float[][] modelMatrix, float[][] projMatrix, int[] viewport, float[] win_pos)` Method gluProject
`static int` | `gluScaleImage(int format, int widthIn, int heightIn, int typeIn, java.nio.ByteBuffer dataIn, int widthOut, int heightOut, int typeOut, java.nio.ByteBuffer dataOut)` Method gluScaleImage.
`static boolean` | `gluUnProject(float winx, float winy, float winz, float[][] modelMatrix, float[][] projMatrix, int[] viewport, float[] obj_pos)` Method gluUnproject

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLU_INVALID_ENUM

    public static final int GLU_INVALID_ENUM

See Also:
  Constant Field Values

### GLU_INVALID_VALUE

    public static final int GLU_INVALID_VALUE

See Also:
  Constant Field Values

### GLU_OUT_OF_MEMORY

    public static final int GLU_OUT_OF_MEMORY

See Also:
  Constant Field Values

### GLU_INCOMPATIBLE_GL_VERSION

    public static final int GLU_INCOMPATIBLE_GL_VERSION

See Also:
  Constant Field Values

### GLU_VERSION

    public static final int GLU_VERSION

See Also:
  Constant Field Values

### GLU_EXTENSIONS

    public static final int GLU_EXTENSIONS

See Also:
  Constant Field Values

### GLU_TRUE

    public static final boolean GLU_TRUE

See Also:
  Constant Field Values

### GLU_FALSE

    public static final boolean GLU_FALSE

See Also:
  Constant Field Values

### GLU_SMOOTH

    public static final int GLU_SMOOTH

  Quadric constants

  See Also:
    Constant Field Values

### GLU_FLAT

    public static final int GLU_FLAT

See Also:
  Constant Field Values

### GLU_NONE

    public static final int GLU_NONE

See Also:
  Constant Field Values

### GLU_POINT

    public static final int GLU_POINT

See Also:
  Constant Field Values

### GLU_LINE

    public static final int GLU_LINE

See Also:
  Constant Field Values

### GLU_FILL

    public static final int GLU_FILL

See Also:
  Constant Field Values

### GLU_SILHOUETTE

    public static final int GLU_SILHOUETTE

See Also:
  Constant Field Values

### GLU_OUTSIDE

    public static final int GLU_OUTSIDE

See Also:
  Constant Field Values

### GLU_INSIDE

    public static final int GLU_INSIDE

See Also:
  Constant Field Values

### TESS_MAX_COORD

    public static final double TESS_MAX_COORD

  Tesselation constants

  See Also:
    Constant Field Values

### GLU_TESS_WINDING_RULE

    public static final int GLU_TESS_WINDING_RULE

See Also:
  Constant Field Values

### GLU_TESS_BOUNDARY_ONLY

    public static final int GLU_TESS_BOUNDARY_ONLY

See Also:
  Constant Field Values

### GLU_TESS_TOLERANCE

    public static final int GLU_TESS_TOLERANCE

See Also:
  Constant Field Values

### GLU_TESS_WINDING_ODD

    public static final int GLU_TESS_WINDING_ODD

See Also:
  Constant Field Values

### GLU_TESS_WINDING_NONZERO

    public static final int GLU_TESS_WINDING_NONZERO

See Also:
  Constant Field Values

### GLU_TESS_WINDING_POSITIVE

    public static final int GLU_TESS_WINDING_POSITIVE

See Also:
  Constant Field Values

### GLU_TESS_WINDING_NEGATIVE

    public static final int GLU_TESS_WINDING_NEGATIVE

See Also:
  Constant Field Values

### GLU_TESS_WINDING_ABS_GEQ_TWO

    public static final int GLU_TESS_WINDING_ABS_GEQ_TWO

See Also:
  Constant Field Values

### GLU_TESS_BEGIN

    public static final int GLU_TESS_BEGIN

See Also:
  Constant Field Values

### GLU_TESS_VERTEX

    public static final int GLU_TESS_VERTEX

See Also:
  Constant Field Values

### GLU_TESS_END

    public static final int GLU_TESS_END

See Also:
  Constant Field Values

### GLU_TESS_ERROR

    public static final int GLU_TESS_ERROR

See Also:
  Constant Field Values

### GLU_TESS_EDGE_FLAG

    public static final int GLU_TESS_EDGE_FLAG

See Also:
  Constant Field Values

### GLU_TESS_COMBINE

    public static final int GLU_TESS_COMBINE

See Also:
  Constant Field Values

### GLU_TESS_BEGIN_DATA

    public static final int GLU_TESS_BEGIN_DATA

See Also:
  Constant Field Values

### GLU_TESS_VERTEX_DATA

    public static final int GLU_TESS_VERTEX_DATA

See Also:
  Constant Field Values

### GLU_TESS_END_DATA

    public static final int GLU_TESS_END_DATA

See Also:
  Constant Field Values

### GLU_TESS_ERROR_DATA

    public static final int GLU_TESS_ERROR_DATA

See Also:
  Constant Field Values

### GLU_TESS_EDGE_FLAG_DATA

    public static final int GLU_TESS_EDGE_FLAG_DATA

See Also:
  Constant Field Values

### GLU_TESS_COMBINE_DATA

    public static final int GLU_TESS_COMBINE_DATA

See Also:
  Constant Field Values

### GLU_TESS_ERROR1

    public static final int GLU_TESS_ERROR1

See Also:
  Constant Field Values

### GLU_TESS_ERROR2

    public static final int GLU_TESS_ERROR2

See Also:
  Constant Field Values

### GLU_TESS_ERROR3

    public static final int GLU_TESS_ERROR3

See Also:
  Constant Field Values

### GLU_TESS_ERROR4

    public static final int GLU_TESS_ERROR4

See Also:
  Constant Field Values

### GLU_TESS_ERROR5

    public static final int GLU_TESS_ERROR5

See Also:
  Constant Field Values

### GLU_TESS_ERROR6

    public static final int GLU_TESS_ERROR6

See Also:
  Constant Field Values

### GLU_TESS_ERROR7

    public static final int GLU_TESS_ERROR7

See Also:
  Constant Field Values

### GLU_TESS_ERROR8

    public static final int GLU_TESS_ERROR8

See Also:
  Constant Field Values

### GLU_TESS_MISSING_BEGIN_POLYGON

    public static final int GLU_TESS_MISSING_BEGIN_POLYGON

See Also:
  Constant Field Values

### GLU_TESS_MISSING_BEGIN_CONTOUR

    public static final int GLU_TESS_MISSING_BEGIN_CONTOUR

See Also:
  Constant Field Values

### GLU_TESS_MISSING_END_POLYGON

    public static final int GLU_TESS_MISSING_END_POLYGON

See Also:
  Constant Field Values

### GLU_TESS_MISSING_END_CONTOUR

    public static final int GLU_TESS_MISSING_END_CONTOUR

See Also:
  Constant Field Values

### GLU_TESS_COORD_TOO_LARGE

    public static final int GLU_TESS_COORD_TOO_LARGE

See Also:
  Constant Field Values

### GLU_TESS_NEED_COMBINE_CALLBACK

    public static final int GLU_TESS_NEED_COMBINE_CALLBACK

See Also:
  Constant Field Values

### GLU_AUTO_LOAD_MATRIX

    public static final int GLU_AUTO_LOAD_MATRIX

  NURBS constants

  See Also:
    Constant Field Values

### GLU_CULLING

    public static final int GLU_CULLING

See Also:
  Constant Field Values

### GLU_SAMPLING_TOLERANCE

    public static final int GLU_SAMPLING_TOLERANCE

See Also:
  Constant Field Values

### GLU_DISPLAY_MODE

    public static final int GLU_DISPLAY_MODE

See Also:
  Constant Field Values

### GLU_PARAMETRIC_TOLERANCE

    public static final int GLU_PARAMETRIC_TOLERANCE

See Also:
  Constant Field Values

### GLU_SAMPLING_METHOD

    public static final int GLU_SAMPLING_METHOD

See Also:
  Constant Field Values

### GLU_U_STEP

    public static final int GLU_U_STEP

See Also:
  Constant Field Values

### GLU_V_STEP

    public static final int GLU_V_STEP

See Also:
  Constant Field Values

### GLU_PATH_LENGTH

    public static final int GLU_PATH_LENGTH

See Also:
  Constant Field Values

### GLU_PARAMETRIC_ERROR

    public static final int GLU_PARAMETRIC_ERROR

See Also:
  Constant Field Values

### GLU_DOMAIN_DISTANCE

    public static final int GLU_DOMAIN_DISTANCE

See Also:
  Constant Field Values

### GLU_MAP1_TRIM_2

    public static final int GLU_MAP1_TRIM_2

See Also:
  Constant Field Values

### GLU_MAP1_TRIM_3

    public static final int GLU_MAP1_TRIM_3

See Also:
  Constant Field Values

### GLU_OUTLINE_POLYGON

    public static final int GLU_OUTLINE_POLYGON

See Also:
  Constant Field Values

### GLU_OUTLINE_PATCH

    public static final int GLU_OUTLINE_PATCH

See Also:
  Constant Field Values

### GLU_NURBS_ERROR1

    public static final int GLU_NURBS_ERROR1

See Also:
  Constant Field Values

### GLU_NURBS_ERROR2

    public static final int GLU_NURBS_ERROR2

See Also:
  Constant Field Values

### GLU_NURBS_ERROR3

    public static final int GLU_NURBS_ERROR3

See Also:
  Constant Field Values

### GLU_NURBS_ERROR4

    public static final int GLU_NURBS_ERROR4

See Also:
  Constant Field Values

### GLU_NURBS_ERROR5

    public static final int GLU_NURBS_ERROR5

See Also:
  Constant Field Values

### GLU_NURBS_ERROR6

    public static final int GLU_NURBS_ERROR6

See Also:
  Constant Field Values

### GLU_NURBS_ERROR7

    public static final int GLU_NURBS_ERROR7

See Also:
  Constant Field Values

### GLU_NURBS_ERROR8

    public static final int GLU_NURBS_ERROR8

See Also:
  Constant Field Values

### GLU_NURBS_ERROR9

    public static final int GLU_NURBS_ERROR9

See Also:
  Constant Field Values

### GLU_NURBS_ERROR10

    public static final int GLU_NURBS_ERROR10

See Also:
  Constant Field Values

### GLU_NURBS_ERROR11

    public static final int GLU_NURBS_ERROR11

See Also:
  Constant Field Values

### GLU_NURBS_ERROR12

    public static final int GLU_NURBS_ERROR12

See Also:
  Constant Field Values

### GLU_NURBS_ERROR13

    public static final int GLU_NURBS_ERROR13

See Also:
  Constant Field Values

### GLU_NURBS_ERROR14

    public static final int GLU_NURBS_ERROR14

See Also:
  Constant Field Values

### GLU_NURBS_ERROR15

    public static final int GLU_NURBS_ERROR15

See Also:
  Constant Field Values

### GLU_NURBS_ERROR16

    public static final int GLU_NURBS_ERROR16

See Also:
  Constant Field Values

### GLU_NURBS_ERROR17

    public static final int GLU_NURBS_ERROR17

See Also:
  Constant Field Values

### GLU_NURBS_ERROR18

    public static final int GLU_NURBS_ERROR18

See Also:
  Constant Field Values

### GLU_NURBS_ERROR19

    public static final int GLU_NURBS_ERROR19

See Also:
  Constant Field Values

### GLU_NURBS_ERROR20

    public static final int GLU_NURBS_ERROR20

See Also:
  Constant Field Values

### GLU_NURBS_ERROR21

    public static final int GLU_NURBS_ERROR21

See Also:
  Constant Field Values

### GLU_NURBS_ERROR22

    public static final int GLU_NURBS_ERROR22

See Also:
  Constant Field Values

### GLU_NURBS_ERROR23

    public static final int GLU_NURBS_ERROR23

See Also:
  Constant Field Values

### GLU_NURBS_ERROR24

    public static final int GLU_NURBS_ERROR24

See Also:
  Constant Field Values

### GLU_NURBS_ERROR25

    public static final int GLU_NURBS_ERROR25

See Also:
  Constant Field Values

### GLU_NURBS_ERROR26

    public static final int GLU_NURBS_ERROR26

See Also:
  Constant Field Values

### GLU_NURBS_ERROR27

    public static final int GLU_NURBS_ERROR27

See Also:
  Constant Field Values

### GLU_NURBS_ERROR28

    public static final int GLU_NURBS_ERROR28

See Also:
  Constant Field Values

### GLU_NURBS_ERROR29

    public static final int GLU_NURBS_ERROR29

See Also:
  Constant Field Values

### GLU_NURBS_ERROR30

    public static final int GLU_NURBS_ERROR30

See Also:
  Constant Field Values

### GLU_NURBS_ERROR31

    public static final int GLU_NURBS_ERROR31

See Also:
  Constant Field Values

### GLU_NURBS_ERROR32

    public static final int GLU_NURBS_ERROR32

See Also:
  Constant Field Values

### GLU_NURBS_ERROR33

    public static final int GLU_NURBS_ERROR33

See Also:
  Constant Field Values

### GLU_NURBS_ERROR34

    public static final int GLU_NURBS_ERROR34

See Also:
  Constant Field Values

### GLU_NURBS_ERROR35

    public static final int GLU_NURBS_ERROR35

See Also:
  Constant Field Values

### GLU_NURBS_ERROR36

    public static final int GLU_NURBS_ERROR36

See Also:
  Constant Field Values

### GLU_NURBS_ERROR37

    public static final int GLU_NURBS_ERROR37

See Also:
  Constant Field Values

### GLU_CW

    public static final int GLU_CW

See Also:
  Constant Field Values

### GLU_CCW

    public static final int GLU_CCW

See Also:
  Constant Field Values

### GLU_INTERIOR

    public static final int GLU_INTERIOR

See Also:
  Constant Field Values

### GLU_EXTERIOR

    public static final int GLU_EXTERIOR

See Also:
  Constant Field Values

### GLU_UNKNOWN

    public static final int GLU_UNKNOWN

See Also:
  Constant Field Values

### GLU_BEGIN

    public static final int GLU_BEGIN

See Also:
  Constant Field Values

### GLU_VERTEX

    public static final int GLU_VERTEX

See Also:
  Constant Field Values

### GLU_END

    public static final int GLU_END

See Also:
  Constant Field Values

### GLU_ERROR

    public static final int GLU_ERROR

See Also:
  Constant Field Values

### GLU_EDGE_FLAG

    public static final int GLU_EDGE_FLAG

See Also:
  Constant Field Values

Constructor Detail

### GLU

    public GLU()

Method Detail

### gluLookAt

    public static void gluLookAt(float eyex,
                                 float eyey,
                                 float eyez,
                                 float centerx,
                                 float centery,
                                 float centerz,
                                 float upx,
                                 float upy,
                                 float upz)

  Method gluLookAt

  Parameters:
    `eyex` -
    `eyey` -
    `eyez` -
    `centerx` -
    `centery` -
    `centerz` -
    `upx` -
    `upy` -
    `upz` -

### gluOrtho2D

    public static void gluOrtho2D(float left,
                                  float right,
                                  float bottom,
                                  float top)

  Method gluOrtho2D

  Parameters:
    `left` -
    `right` -
    `bottom` -
    `top` -

### gluPerspective

    public static void gluPerspective(float fovy,
                                      float aspect,
                                      float zNear,
                                      float zFar)

  Method gluPerspective

  Parameters:
    `fovy` -
    `aspect` -
    `zNear` -
    `zFar` -

### gluProject

    public static boolean gluProject(float objx,
                                     float objy,
                                     float objz,
                                     float[][] modelMatrix,
                                     float[][] projMatrix,
                                     int[] viewport,
                                     float[] win_pos)

  Method gluProject

  Parameters:
    `objx` -
    `objy` -
    `objz` -
    `modelMatrix` -
    `projMatrix` -
    `viewport` -
    `win_pos` -
  Returns:

### gluUnProject

    public static boolean gluUnProject(float winx,
                                       float winy,
                                       float winz,
                                       float[][] modelMatrix,
                                       float[][] projMatrix,
                                       int[] viewport,
                                       float[] obj_pos)

  Method gluUnproject

  Parameters:
    `winx` -
    `winy` -
    `winz` -
    `modelMatrix` -
    `projMatrix` -
    `viewport` -
    `obj_pos` -
  Returns:

### gluPickMatrix

    public static void gluPickMatrix(float x,
                                     float y,
                                     float width,
                                     float height,
                                     int[] viewport)

  Method gluPickMatrix

  Parameters:
    `x` -
    `y` -
    `width` -
    `height` -
    `viewport` -

### gluGetString

    public static java.lang.String gluGetString(int name)

  Method gluGetString.

  Parameters:
    `name` -
  Returns:
    String

### gluCheckExtension

    public static boolean gluCheckExtension(java.lang.String extName,
                                            java.lang.String extString)

  Method gluCheckExtension.

  Parameters:
    `extName` -
    `extString` -
  Returns:
    boolean

### gluBuild2DMipmaps

    public static int gluBuild2DMipmaps(int target,
                                        int components,
                                        int width,
                                        int height,
                                        int format,
                                        int type,
                                        java.nio.ByteBuffer data)

  Method gluBuild2DMipmaps

  Parameters:
    `target` -
    `components` -
    `width` -
    `height` -
    `format` -
    `type` -
    `data` -
  Returns:
    int

### gluScaleImage

    public static int gluScaleImage(int format,
                                    int widthIn,
                                    int heightIn,
                                    int typeIn,
                                    java.nio.ByteBuffer dataIn,
                                    int widthOut,
                                    int heightOut,
                                    int typeOut,
                                    java.nio.ByteBuffer dataOut)

  Method gluScaleImage.

  Parameters:
    `format` -
    `widthIn` -
    `heightIn` -
    `typeIn` -
    `dataIn` -
    `widthOut` -
    `heightOut` -
    `typeOut` -
    `dataOut` -
  Returns:
    int

### gluErrorString

    public static java.lang.String gluErrorString(int error_code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.